"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeConfig = exports.readConfig = void 0;
const file_1 = require("../../../../core/file");
const loggin_1 = require("../../../../core/loggin");
const configPath_constant_1 = require("../../options/configPath.constant");
function readConfig(configPath = configPath_constant_1.DEFAULT_COLLECT_CONFIG_PATH) {
    const configJson = JSON.parse((0, file_1.readFile)(configPath) || '{}');
    return configJson;
}
exports.readConfig = readConfig;
function writeConfig(config, configPath = configPath_constant_1.DEFAULT_COLLECT_CONFIG_PATH) {
    (0, loggin_1.logVerbose)(`Update config under ${configPath}`);
    if (JSON.stringify(readConfig()) !== JSON.stringify(config)) {
        (0, file_1.writeFile)(configPath, JSON.stringify(config));
        (0, loggin_1.logVerbose)(`New config ${JSON.stringify(config)}`);
    }
    else {
        (0, loggin_1.logVerbose)(`No updates for ${configPath} to save.`);
    }
}
exports.writeConfig = writeConfig;
//# sourceMappingURL=index.js.map